<!--
  -  Copyright 2020 Huawei Technologies Co., Ltd.
  -
  -  Licensed under the Apache License, Version 2.0 (the "License");
  -  you may not use this file except in compliance with the License.
  -  You may obtain a copy of the License at
  -
  -      http://www.apache.org/licenses/LICENSE-2.0
  -
  -  Unless required by applicable law or agreed to in writing, software
  -  distributed under the License is distributed on an "AS IS" BASIS,
  -  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -  See the License for the specific language governing permissions and
  -  limitations under the License.
  -->
<template>
  <div>
    <el-dialog
      :title="$t('nav.addguestlink')"
      :visible.sync="visible"
      v-loading="loading"
    >
      <div style="margin-top: 15px;">
        <el-form
          label-width="180px"
        >
          <el-form-item
            :label="$t('nav.mecmanager')"
          >
            <el-input
              v-model="configData.mecManagerLink"
            />
          </el-form-item>
        </el-form>
      </div>
      <div style="margin-top: 15px;">
        <el-form
          label-width="180px"
        >
          <el-form-item
            :label="$t('nav.mecapp')"
          >
            <el-input
              v-model="configData.mecAppLink"
            />
          </el-form-item>
        </el-form>
      </div>
      <div style="margin-top: 15px;">
        <el-form
          label-width="180px"
        >
          <el-form-item
            :label="$t('nav.mecdeveloper')"
          >
            <el-input
              v-model="configData.mecDeveloperLink"
            />
          </el-form-item>
        </el-form>
      </div>
      <div
        slot="footer"
        class="dialog-footer"
      >
        <el-button
          id="cancelBtn"
          @click="cancelDialog()"
        >
          {{ $t('common.cancel') }}
        </el-button>
        <el-button
          id="confirmBtn"
          type="primary"
          @click="storeConfiguration()"
          :loading="loading"
        >
          {{ $t('common.confirm') }}
        </el-button>
      </div>
    </el-dialog>
  </div>
</template>
<script>
import axios from 'axios'
import { BASE_URL } from '../tools/constant.js'
export default {
  name: 'GuestConfiguration',
  props: {
    configData: {
      type: Object,
      default: () => ({
        mecManagerLink: '',
        mecAppLink: '',
        mecDeveloperLink: ''
      })
    },
    visible: {
      type: Boolean,
      default: false
    },
    cancel: {
      type: Function,
      default: () => {},
      isRequired: true
    }
  },
  data () {
    return {
      isGuest: false,
      loading: false
    }
  },
  methods: {
    cancelDialog () {
      this.$emit('cancelConfiguration')
    },
    storeConfiguration () {
      let url = BASE_URL + '/modifyGuestConfiguration'
      this.configData['userId'] = sessionStorage.getItem('userId')
      axios({
        method: 'PUT',
        url: url,
        data: this.configData,
        headers: {
          'Content-Type': 'application/json'
        }
      }).then(res => {
        this.$parent.$parent.successMessage(this.$t('confirm.guestConfigSuccess'))
        this.$emit('cancelConfiguration')
      }, error => {
        if (error) {
          this.$parent.$parent.errorMessage(this.$t(error.response.data))
        }
      })
    }
  }
}
</script>
<style>
</style>
